package fr.cnam.projet;

import java.util.*;

// Classe de definition d'un joueur
//
public class Partie
{
  private int     numero;
  private String  identJoueur;
  private String  date;
  private String  nomJeu;
  private int     partieTerminee;
  private int     score;
  private int     scoreAdversaire;

  // Constructeur
  //
  public Partie(int numero,
                String identJoueur,
                String date,
                String nomJeu,
                int partieTerminee,
                int score,
                int scoreAdversaire)
  {
    this.numero=numero;
    this.identJoueur=identJoueur;
    this.date=date;
    this.partieTerminee=partieTerminee;
    this.score=score;
    this.scoreAdversaire=scoreAdversaire;
  }

  // Joueur en chaine
  //
  public String toString()
  {
    return String.format("%3d %-15s %-19s %1d %2d %2d",
                         numero,
                         identJoueur,
                         date,
                         partieTerminee,
                         score,scoreAdversaire);
  }

  // Getteurs
  //
  public String getIdentJoueur(){return identJoueur;}
  public int getNumero(){return numero;}
}